# TODO: This could also be done via GitLab/GitHub APIs
file-setup-pipeline:
  name: 'File setup pipeline'
  publisher: 'Bielefeld University - CRC 1288 - INF'
  latest_version: '0.1.0'
  versions:
    0.1.0:
      publishing_year: 2022
      url: 'https://gitlab.ub.uni-bielefeld.de/sfb1288inf/file-setup-pipeline/-/releases/v0.1.0'
tesseract-ocr-pipeline:
  name: 'Tesseract OCR Pipeline'
  publisher: 'Bielefeld University - CRC 1288 - INF'
  latest_version: '0.1.1'
  versions:
    0.1.0:
      methods:
        - 'binarization'
      publishing_year: 2022
      url: 'https://gitlab.ub.uni-bielefeld.de/sfb1288inf/tesseract-ocr-pipeline/-/releases/v0.1.0'
    0.1.1:
      methods:
        - 'binarization'
      publishing_year: 2022
      url: 'https://gitlab.ub.uni-bielefeld.de/sfb1288inf/tesseract-ocr-pipeline/-/releases/v0.1.1'
transkribus-htr-pipeline:
  name: 'Transkribus HTR Pipeline'
  publisher: 'Bielefeld University - CRC 1288 - INF'
  latest_version: '0.1.1'
  versions:
    0.1.0:
      methods:
        - 'binarization'
      publishing_year: 2022
      url: 'https://gitlab.ub.uni-bielefeld.de/sfb1288inf/transkribus-htr-pipeline/-/releases/v0.1.0'
    0.1.1:
      methods:
        - 'binarization'
      publishing_year: 2022
      url: 'https://gitlab.ub.uni-bielefeld.de/sfb1288inf/transkribus-htr-pipeline/-/releases/v0.1.1'
spacy-nlp-pipeline:
  name: 'spaCy NLP Pipeline'
  publisher: 'Bielefeld University - CRC 1288 - INF'
  latest_version: '0.1.0'
  versions:
    0.1.0:
      methods:
        - 'encoding_detection'
      # models:
      #   ca: 'Catalan'
      #   de: 'German'
      #   el: 'Greek'
      #   en: 'English'
      #   es: 'Spanish'
      #   fr: 'French'
      #   it: 'Italian'
      #   pl: 'Polish'
      #   ru: 'Russian'
      #   zh: 'Chinese'
      publishing_year: 2022
      url: 'https://gitlab.ub.uni-bielefeld.de/sfb1288inf/spacy-nlp-pipeline/-/releases/v0.1.0'
    test:
      methods:
        - 'encoding_detection'
      publishing_year: 2022
      url: 'https://gitlab.ub.uni-bielefeld.de/sfb1288inf/spacy-nlp-pipeline/'
